/**
 * Company Name : 中贸促信息技术有限责任公司
 * Project Name:txhzWebsite
 * File Name:OSinfoUtil.java
 * Package Name:com.ccpit.devplatform.utils
 * Date:2017年3月13日上午10:26:52
 * Copyright (c) 2017, dingwei@ccpit.org All Rights Reserved.
 *
*/

package org.ccpit.base.utils;
/**
 * ClassName:OSinfoUtil <br/>
 * Function: TODO 判断当前系统类型工具类. <br/>
 * Reason:	 TODO ADD REASON. <br/>
 * Date:     2017年3月13日 上午10:26:52 <br/>
 * @author   dingwei
 * @version  
 * @since    JDK 1.8.0
 * @see 	 
 */
public class OSinfoUtil {

	private static String OS = System.getProperty("os.name").toLowerCase();
	
	public static boolean isLinux(){
		return OS.indexOf("linux") >= 0;
	}
	
	public static boolean isWindow(){
		return OS.indexOf("windows") >= 0;
	}
	
	public static boolean isMacOS(){  
        return OS.indexOf("mac") >= 0 && OS.indexOf("os") > 0 && OS.indexOf("x") < 0;  
    }
	
	public static boolean isMacOSX(){  
        return OS.indexOf("mac")>=0&&OS.indexOf("os")>0&&OS.indexOf("x")>0;  
    }  
}

